<?php

class VueDegustation
{

    /**
     * production d'une string contenant un tableau HTML représentant une degustation
     * @param Degustation $degustation
     * @return string
     */
    public function getHTML4Degustation(Degustation $degustation): string
    {
        $ch = "<table border='1'>
        <tr><th>id_degustation</th><th>note_degustation</th><th>date_degustation</th><th>id_bouteille</th><th>id_oenologue</th></tr><tr>\n";
        $ch .= "<tr><td>" . $degustation->getId_degustation() . "</td>\n";
        $ch .= "<td>" . $degustation->getNote_degustation() . "</td>\n";
        $ch .= "<td>" . $degustation->getDate_degustation() . "</td>\n";
        $ch .= "<td>" . $degustation->getId_bouteille() . "</td>\n";
        $ch .= "<td>" . $degustation->getId_oenologue() . "</td>\n";
        $ch.= "</tr></table>\n";
        return $ch;
    }

    /**
     * production d'une string contenant un formulaire HTML
     * destiné à saisir une nouvelle catégorie ou à modifier une catégorie existant
     * @param array $assoc
     * @return string
     */
    public function getFormulaire4Degustation(array $assoc): string
    {
        $ch = "<form action='".$_SERVER['PHP_SELF']."' method='GET'>\n";
        $ch .= "<table>";
        foreach ($assoc as $col => $val) {
            $ch .= "<tr>";
            if (is_array($val)) {
                if($col == "id_degustation")
                {
                    $ch .= "<td>$col : <input name='$col' type='".$val['type']
                        ."' value='".$val['default']."' step='any' disabled/>\n</td>";
                    $ch.= "<input type='hidden' name='$col' value='".$val['default']."'/>";
                }
                else if($col == "id_bouteille")
                    $ch .= "<td>$col : <select name ='$col' >".$this->getAllIDBout($val['default'])."</select></td>";
                else if($col == "note_degustation")
                    $ch .= "<td>$col : <select name ='$col' >".$this->getAllNotes()."</select></td>";
                else
                {
                    $ch .= "<td>$col : <input name='$col' type='".$val['type']
                        ."' value='".$val['default']."' step='any' />\n</td>";
                }
            }
            else
            {
                if($col == "id_bouteille")
                    $ch .= "<td>$col : <select name ='$col' >".$this->getAllIDBout()."</select></td>";
                elseif($col == "note_degustation")
                    $ch .= "<td>$col : <select name ='$col' >".$this->getAllNotes()."</select></td>";
                else
                    $ch .= "<td>$col : <input type='$val' name='$col'/>\n</td>";
            }
            $ch .= "</tr>";
        }
        $ch .= "</table>";
        $ch .= "<input type='submit' name='Valider' value='Sauver'/>\n";


        return $ch."</form>\n";
    }

    /**
     * production d'une string contenant une liste HTML représentant un ensemble de catégories
     * et permettant de les modifier ou de les supprimer grace à un lien hypertexte
     * @param Degustation $tabDegustation un tableau d'instances de catégories
     * @return string
     */
    public function getAllDegustation(array $tabDegustation): string
    {
        $ch = "<table>\n<tr><th>id_degustation</th><th>note_degustation</th><th>date_degustation</th>
                <th>id_bouteille</th><th>id_oenologue</th><th>Modification</th><th>Suppression</th></tr>";
        foreach ($tabDegustation as $degustation) {
            $ch.= "<tr>";
            if ($degustation instanceof Degustation) {
                $ch .= "<td>".$degustation->getId_degustation()."</td>";
                $ch .= "<td>".$degustation->getNote_degustation()."</td>";
                $ch .= "<td>".$degustation->getDate_degustation()."</td>";
                $ch .= "<td>".$degustation->getId_bouteille()."</td>";
                $ch .= "<td>".$degustation->getId_oenologue()."</td>";
                $ch .= "<td> <a href='?action=update&id_degustation=".$degustation->getId_degustation()."'>Modifier</a></td>";
                $ch .= "<td> <a href='?action=delete&id_degustation=".$degustation->getId_degustation()."'>Supprimer</a></td>";
            }
            $ch.= "</tr>";
        }
        return $ch."</table>\n";
    }

    public function getAllIDBout(string $s = ""):string
    {
        $st ="";

        $choix = array();

        $iterator = new BouteilleIterator();
        foreach ($iterator as $id)
            array_push($choix, $id->getId_bouteille());

        for ($i=0; $i < sizeof($choix); $i++) {
            if($s == $choix[$i]){$st .= "<option selected>".$choix[$i]."</option>";}
            else {$st .="<option>".$choix[$i]."</option>";}
        }
        return $st;
    }

    public function getAllIDOeno(string $s = ""):string
    {
        $st ="";

        $choix = array();

        $iterator = new OenologueIterator();
        foreach ($iterator as $id)
            array_push($choix, $id->getId_oenologue());

        for ($i=0; $i < sizeof($choix); $i++) {
            if($s == $choix[$i]){$st .= "<option selected>".$choix[$i]."</option>";}
            else {$st .="<option>".$choix[$i]."</option>";}
        }
        return $st;
    }

    public function getAllNotes():string
    {
        $st ="";

        for ($i=0; $i < 21; $i++)
            $choix[$i] = $i;

        for ($i=0; $i < 21; $i++) {
            $st .= "<option>".$choix[$i]."</option>";
        }
        return $st;
    }
}

?>